Monday, December 17, 2012

Episode 176 of RFC

Merry Christmas From Radio Free Charleston

December 17, 2012 by rudy panucci
Radio Free Charleston 176 is our 2012 Christmas Special. Filmed at and named after the Marx Toy Museum, this show features music from the Charleston Gay Mens Chorale, a duet from Lee Harrah and Pepper Fandango, a special “double trio” from the cast of “MARY: A Rock Opera,” and Prank Monkey. Also in this episode, we have the Ghost of Animation Past, a holiday message from Razor Sharp Studios and Burt Flemming, and a quick musical tour of The Marx Toy Museum in Moundsville, WV.
The host segments for this episode were recorded at The Marx Toy Museum in Moundsville, WV which is one of the coolest places on earth, celebrating the legacy of Louis Marx and what was at one point, the largest toy company in the world.

We took a day trip to Moundsville for what was one of the most fun host segment shoots we’ve ever done. Many thanks to Francis Turner and Kandi Fanton and The Marx Toy Museum for making us feel welcome. The museum is open Tuesday through Saturday until December 29, when they close until Spring. It would be a great, fun trip to close out the year.

Monday, December 3, 2012

Episode 175 of RFC

The RFC 2012 Sampler Looks Back At A Great Year For Local Music

December 3, 2012 by rudy panucci
Radio Free Charleston 175, “Dunbar Lanes Shirt,” is a sampler of just a tiny amount of the great local music that we brought you in 2012. We’ll revisit songs from Red Audio, In The Company of Wolves, Godmode Broadway, and The Charleston Light Opera Guild production of “The Color Purple.”
Our title shirt this week comes to us from the newly reopened Dunbar Lanes, the area’s coziest little bowling alley, tucked away in the heart of the hub of the Kanawha Valley, Dunbar. After the previous owners retired and left for Florida and the bowling alley lay dormant for a few months, the Dunbar landmark reopened last Friday and the new management promises to turn it into the hippest bowling alley in the state.

Monday, November 19, 2012

Episode 174 of RFC

Qiet, “Mary,” Farnsworth, DEVO Hats and breakfast cereal on RFC 174

November 19, 2012 by rudy panucci
Up top you see RFC 174 “Mark Wolfe Design Shirt.” This week’s episode of Radio Free Charleston features music from Qiet and Farnsworth, plus a special performance from the Dan Khede/Mark Scarpelli rock opera, MARY. We also have some fresh DEVO hat animation and part of a complete breakfast. Host segments were shot on the river side of our beautiful State Capitol Building. Our titular shirt comes to us from our good friend, Mark Wolfe, and plugs Mark Wolfe Design, pretty much the hippest design firm in town.

We start the show with something childish and hysterical and we’re not going to say anything more about it.

Monday, November 5, 2012

Episode 173 of RFC

Punk Cabaret, Cool Jazz and Hot Rock on RFC 173

November 5, 2012 by rudy panucci
Above you should see RFC 173 “Calvin The Spiffy Spaceman Shirt” This episode of Radio Free Charleston features music from Frenchy and the Punk, Amanda Brigette and The Nanker Phelge, plus a hilarious outtake from Felix Baumgardner’s Space Dive and a look at the newest Olympic sport, Spumling.

Frenchy and the Punk
Frenchy and Punk are featured on the show in advance of their November 7, 2012 gig at The Empty Glass in Charleston, WV, where they will be appearing with Qiet. While the goth/cabaret duo are promoting their new CD, “Hey, Hey, Cabaret,” we have them on the show this week with the song “The Magician and The Dancer” from their 2010 CD, “Happy Madness.”

Monday, October 22, 2012

Episode 172 of RFC

Halloween 2012 on RFC

October 22, 2012 by rudy panucci
At the head of this post, you see our brand new Halloween treat, Radio Free Charleston 172, “Nightmare In Wax shirt.” The bulk of this special episode was recorded on September 29 at the first Shocka-Conhorror/science fiction convention. Our musical guests are The Tom McGees, The Nanker Phelge, and The Renfields. Plus, we have a short film by convention guest, Appalachian horror author Frank Larnerd.

Shocka-Con is the brainchild of Mike and Rose Winland, of Mike Winland Studios fame, and it was a spectacular success, drawing over 2500 people. It was an all day convention, with vendors and special guests set up in tents around the Indian Mound in South Charleston while seminars were held at the South Charleston Public Library and movies were screened at the LaBelle Theater. The evening ended with a Monster Parade up D Street and a free concert at the Mound Stage.

Monday, October 15, 2012

Episode 171 of RFC

The Best of Halloween On RFC 171

October 15, 2012 by rudy panucci
Back in the Gazz.com days.
Radio Free Charleston’s 171st episode, “Skull Shirt,” is online now and it’s a doozy. This on- hour-five-minute compilation show brings you highlights from the first five years worth of Radio Free Charleston Halloween specials. Most of these shows were multi-part or bonus length epics and each year’s special was different in its own twisted little way.

Monday, October 1, 2012

Episode 170 of RFC

Farnsworth Rocks Budget Tapes and Records on RFC 170, plus Weirdness and Meet Ginger From The Stock Car Musical

October 1, 2012 by rudy panucci
Radio Free Charleston 170, “Regular Show Shirt,” is a valentine toBudget Tapes and Records, the legendary music and lifestyle emporium that is celebrating forty years of serving area music fans from their Kanawha City location. Our host segments originate from Budget, and we even have two songs by Farnsworth, recorded on location at the release party for their new EP at Budget.

RFC 170 also brings viewers a song from the Contemporary Youth Arts Company production of the Dan Kehde/Mark Scarpelli original, “The Legend of Ginger and Billy Joe: The Stock Car Musical,” as well as animation and a found film compilation by Frank Panucci.

Monday, September 24, 2012

Episode 169 of RFC

Great Music, Strange Film and A Very Dark Mound On RFC 169

September 24, 2012 by rudy panucci
Radio Free Charleston 169, “The Black Knight Rises,” features music from Emily Burdette, Godmode Broadway and The Nanker Phelge, plus two short films by Frank Panucci. Host segments were shot at The Mound in South Charleston about an hour later than we’d planned, and we plug a couple of cool local events, both of which are coming up this Saturday.

This week’s episode is hosted from The Mound in South Charleston, where September 29, part of Shocka Con will take place. This year’s Shocka Con will be a fundraiser/preview of what organizers hope will be a full-blown horror and fantasy convention next year.

Monday, September 10, 2012

Episode 168 of RFC

Part Three Of Tribute To The Troops on RFC 168

September 10, 2012 by rudy panucci
At the top of this post you should see Radio Free Charleston 168 “Zelda by Megan Lara Shirt” (Tribute To The Troops II part three).This is the final installment of our three-part special devoted to Tribute To The Troops II, an all-ages, all-day musical event held at The Saint Albans City Pak amphitheater for the benefit of The West Virginia National Guard Foundation and The Wounded Warrior Project.

Rudy, wearing Megan Lara’s Zelda
This episode brings you music from In The Company of Wolves, Point of Jerus, Deck of Fools and a very special song from HarraH. We also have a short film about The West Virginia National Guard Foundation narrated by Melanie Larch, with video contributions by Steven Allen Adams and West Virginia Public Broadcasting. Our namesake shirt is a Teefury design by up-and-coming designer, Megan Lara, who is destined to be a star soon.

Monday, September 3, 2012

Episode 167 of RFC

More From Tribute To The Troops II on RFC 167

September 3, 2012 by rudy panucci

Up above is the second of three episodes of Radio Free Charleston devoted to Tribute To The Troops II. On August 11,Wood Boys Music took over the Saint Albans City Park Amphitheater for an all-day all-ages benefit show for our troops. Over eleven hundred dollars was raised for The Wounded Warrior Project and The National Guard Fund, and our cameras were on hand for the first half of the concert.Last week you heard Harrah, In The Company of Wolves, and Everpulse. The show kicked off with Cadence Weaver singing the National Anthem. You can see that show here:.

This week you will hear music from Breedlove, The Under Social, Remains UnNamed and Johnny Compton.